Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 225757

Summary: Merge Review: flac
Product: [Fedora] Fedora Reporter: Nobody's working on this, feel free to take it <nobody>
Component: Package ReviewAssignee: Bastien Nocera <bnocera>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bnocera, dan, davidz, michel, mlichvar
Target Milestone: ---Flags: dan: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-08-11 01:35:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nobody's working on this, feel free to take it 2007-01-31 18:38:00 UTC
Fedora Merge Review: flac

http://cvs.fedora.redhat.com/viewcvs/devel/flac/
Initial Owner: davidz@redhat.com

Comment 1 Bastien Nocera 2007-02-13 09:20:12 UTC
Would be my bug actually.

Comment 2 Dan Horák 2007-02-13 15:16:13 UTC
First shots:
- a dot is used at the end of the Summary lines
- not using suggested BuildRoot
    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- using %makeinstall, I think %make install should work
(http://fedoraproject.org/wiki/Packaging/Guidelines#head-fcaf3e6fcbd51194a5d0dbcfbdd2fcb7791dd002)
- static library is packaged

Comment 3 Bastien Nocera 2007-02-13 15:32:22 UTC
Should be fixed in 1.1.3-2

Comment 4 Dan Horák 2007-02-13 17:57:43 UTC
The formal review is here:
OK	source files match upstream:
	    ba0bf8b4720537b08aba9b0d2d5b3fbe796ce9957a56334354a2f95694866a7c 
flac-1.1.3.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (i386).
OK	debuginfo package looks complete.
OK	final provides and requires looks sane:
OK	shared libraries are added to the regular linker search paths and ldconfig is
run.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers are in -devel.
OK	no pkgconfig files.
OK	not a GUI app.

MUST FIX:

BAD	rpmlint is NOT silent.

result of running "rpmlint -vi"
W: flac-devel summary-ended-with-dot Static libraries and header files from FLAC.
    you forgot the dot in the second Summary ;-)

I: flac.i386.rpm checking
E: flac obsolete-not-provided flac-libs
The obsoleted package must also be provided to allow clean upgrade paths
and not to break dependencies.

I: flac.srpm checking
W: flac unversioned-explicit-obsoletes flac-libs
The specfile contains an unversioned Obsoletes: token, which will match all
older, equal and newer versions of the obsoleted thing.  This may cause update
problems, restrict future package/provides naming, and may match something it
was originally not inteded to match -- make the Obsoletes versioned if
possible.

Some info from the Wiki -
http://fedoraproject.org/wiki/Packaging/NamingGuidelines?highlight=%28obsolete%29#head-3cfc1ea19d28975faad9d56f70a6ae55661d3c3d

Comment 5 Bastien Nocera 2007-02-14 12:01:58 UTC
(In reply to comment #4)
> The formal review is here:
<snip>
> MUST FIX:
> 
> BAD	rpmlint is NOT silent.
> 
> result of running "rpmlint -vi"
> W: flac-devel summary-ended-with-dot Static libraries and header files from FLAC.
>     you forgot the dot in the second Summary ;-)

Fixed.

> I: flac.i386.rpm checking
> E: flac obsolete-not-provided flac-libs
> The obsoleted package must also be provided to allow clean upgrade paths
> and not to break dependencies.

Added a Provides.

> I: flac.srpm checking
> W: flac unversioned-explicit-obsoletes flac-libs
> The specfile contains an unversioned Obsoletes: token, which will match all
> older, equal and newer versions of the obsoleted thing.  This may cause update
> problems, restrict future package/provides naming, and may match something it
> was originally not inteded to match -- make the Obsoletes versioned if
> possible.

I'm afraid I don't have a version for the obsoletes. I think flac-libs was being
used by 3rd party repositories before the package was included in RH.

Should all get fixed in the 1.1.4 package (as soon as i resolve patch conflicts)

Comment 6 Dan Horák 2007-02-15 09:09:39 UTC
I don't think we need to care about a historical version from 3rd party repo.
The CVS log show that flac was included into Fedora in FC-2 or FC-3 in September
2004, so I would kill the "Obsolete" entirely. Also I don't think we support
upgrades from such old versions.

But all problems are fixed, so package is APPROVED

Comment 7 Matthias Clasen 2007-08-11 01:35:57 UTC
Review done.

Comment 8 Michel Alexandre Salim 2010-07-03 21:38:41 UTC
Package Change Request
======================
Package Name: flac
New Branches: EL-5 EL-6
Owners: salimma
InitialCC:

A lot of audio packages are currently not available on RHEL; we should try and get these built before the next RHEL-6 beta

Comment 9 Michel Alexandre Salim 2010-07-03 22:00:25 UTC
My mistake, the package is part of core RHEL (at least for version 5). It's for some reason missing from RHEL 6; I'm clarifying this with epel-devel-list and fedora-devel-list.